import org.junit.*;

import static org.junit.Assert.assertEquals;
 
import mockit.*;

public class TestCounter {

    
    @Before
    public void setUp() {
        Mockit.setUpMock(MockCounter.class);
        Mockit.setUpMock(MockCounter2.class);
        System.out.println("in TestCounter.setup");
    }
    
    @After
    public void tearDown() {
        System.out.println("in TestCounter.teardown");
        Mockit.tearDownMocks();
    }
    
    @Test
    public void testAdd() {
        System.out.println("in TestCounter.testAdd");
        Counter c = new Counter();
        assertEquals((Integer) 3, c.addOne(2));
    }
 
    
    @MockClass(realClass = Counter.class)
    public static class MockCounter {
    
        public static Integer num = new Integer(1);
                
        @Mock
        public Integer addTwo(Integer input) {
            System.out.println("in mocked addTwo!!!!!");
            return new Integer(1);

        }
    }
    
    @MockClass(realClass = Counter2.class) 
    public static class MockCounter2 {
    
        
        @Mock
        public Integer addFive(Integer num) { 
            System.out.println("in MockCounter2.addFive");
            return new Integer(5);
        }
    }
}